Name: djcross-binutils
Summary:  Cross binutils for target i586-pc-msdosdjgpp
Version: 2.29.1
Release: 1ap
License: GPL
Group: Development/Tools
#URL: http://www.example.org/
Source0: binutils-%{version}.tar.xz
Patch1: binutils-djgpp.patch
Patch2: binutils-bfd-djgpp.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%define djtarget i586-pc-msdosdjgpp

%description 
Cross-binutils for target i586-pc-msdosdjgpp
%prep 
%setup -q -n binutils-%{version}
%patch1 -p1 -b .bnu2_29_1
%patch2 -p1 -b .bnu2_29_1_bfd

%build 
%configure \
           --target=%{djtarget} \
           --program-prefix=%{djtarget}- \
           --disable-werror \
           --disable-nls
make configure-bfd
make -C bfd stmp-lcoff-h
make %{_smp_mflags}

%install 
rm -fr %{buildroot}

%makeinstall
rm -vf $(find %{buildroot} -name libiberty.a)
rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_infodir}

%clean 
rm -fr %{buildroot}

%files 
%defattr(-,root,root) 
%{_bindir}/* 
#%{_datadir}/* 
/usr/i586-pc-msdosdjgpp/*
#%{_doc}/*

%changelog
* Tue Oct 17 2017 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.29.1 (patches are the same as from
  bnu2291s.zip)

* Thu Jul  7 2016 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.26.1 (patches from bnu226sr3.zip)

* Fri Dec 13 2013 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.24 (patches are the same as from
  bnu224s.zip)

* Sun Sep  9 2012 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.22 (patches are the same as from
  bnu222sr4.zip but regenerated from my local git repository)

* Mon Dec 20 2010 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.21

* Fri Oct 16 2009 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.20

* Tue Apr  7 2009 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.19.1

* Wed Oct 22 2008 Andris Pavenis <andris.pavenis@iki.fi>
- Update to binutils-2.19

* Thu Sep  6 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Fix bug in specs file
 
* Tue Sep  4 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Updated to binutils 2.18

* Sun Mar 25 2007 Andris Pavenis <andris.pavenis@iki.fi>
- Updated to binutils 2.17
- Put .bss.* in data section to avoid including entire .bss section into
  executable when C++ compiler (versions 4.1.*) is being used.
- Add configure option --disable-werror
- Rename patches (add prefix djcross-binutils- to the file names).
- (I had 2.17 RPM earlier, but it is perhaps better to start from scratch
   now)

* Tue Mar 13 2007 Gordon Schumacher <whiplash@pobox.com>
- Updated to use RPM's prefix macros and %configure

* Tue Nov 15 2005 Andris Pavenis <pavenis@latnet.lv>
— Initial version of rpm spec file for DJGPP cross-binutils
